Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.tasks
Class SyncTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.commons.vfs.tasks.VfsTask
                  org.apache.commons.vfs.tasks.AbstractSyncTask
                      org.apache.commons.vfs.tasks.CopyTask
                          org.apache.commons.vfs.tasks.SyncTask

public class SyncTask
extends CopyTask

A task that synchronises the destination folder to look exactly like the source folder (or folders).

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Nested Class Summary

Nested classes inherited from class org.apache.commons.vfs.tasks.AbstractSyncTask
`AbstractSyncTask.SourceInfo`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SyncTask()`

Method Summary
`protected boolean` | `detectMissingSourceFiles()` Check if this task cares about destination files with a missing source file.
`protected void` | `handleMissingSourceFile(FileObject destFile)` Handles a destination for which there is no corresponding source file.

Methods inherited from class org.apache.commons.vfs.tasks.CopyTask
`handleOutOfDateFile, handleUpToDateFile, isOverwrite, isPreserveLastModified, setOverwrite, setPreserveLastModified`

Methods inherited from class org.apache.commons.vfs.tasks.AbstractSyncTask
`addConfiguredSrc, execute, isFailonerror, logOrDie, setDestDir, setDestFile, setFailonerror, setIncludes, setSrc, setSrcDir, setSrcDirIsBase`

Methods inherited from class org.apache.commons.vfs.tasks.VfsTask
`closeManager, resolveFile`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncTask

    public SyncTask()

Method Detail

### handleMissingSourceFile

    protected void handleMissingSourceFile(FileObject destFile)
                                    throws Exception

  Handles a destination for which there is no corresponding source file.

  Overrides:
    `handleMissingSourceFile` in class `AbstractSyncTask`
  Throws:
    `Exception`

### detectMissingSourceFiles

    protected boolean detectMissingSourceFiles()

  Check if this task cares about destination files with a missing source file.

  Overrides:
    `detectMissingSourceFiles` in class `AbstractSyncTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.